<html>
<head>
<title>OGRE: Ogre::LinearResampler_Float32 Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1LinearResampler__Float32.html">LinearResampler_Float32</a></div>
<h1>Ogre::LinearResampler_Float32 Struct Reference</h1><!-- doxytag: class="Ogre::LinearResampler_Float32" --><code>#include &lt;<a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1LinearResampler__Float32-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinearResampler__Float32.html#86e44dcdddb74c9ea459b6b1c57a0b21">scale</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src, const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreImageResampler_8h-source.html#l00179">179</a> of file <a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="86e44dcdddb74c9ea459b6b1c57a0b21"></a><!-- doxytag: member="Ogre::LinearResampler_Float32::scale" ref="86e44dcdddb74c9ea459b6b1c57a0b21" args="(const PixelBox &amp;src, const PixelBox &amp;dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::LinearResampler_Float32::scale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dst</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageResampler_8h-source.html#l00180">180</a> of file <a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a>.</p>

<p>References <a class="el" href="OgreImageResampler_8h.html#bfa4aeaeb25cca0360ae0ba0aef7cf9e">ACCUM3</a>, <a class="el" href="OgreImageResampler_8h.html#8d51fc9045f78003752d2f5c88b34914">ACCUM4</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::back</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::bottom</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00212">Ogre::PixelBox::data</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00214">Ogre::PixelBox::format</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::front</a>, <a class="el" href="OgreCommon_8h-source.html#l00404">Ogre::Box::getDepth()</a>, <a class="el" href="OgreCommon_8h-source.html#l00402">Ogre::Box::getHeight()</a>, <a class="el" href="classOgre_1_1PixelUtil.html#1e39ec27d40f044a058e6fef850a1fbe">Ogre::PixelUtil::getNumElemBytes()</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00239">Ogre::PixelBox::getRowSkip()</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00244">Ogre::PixelBox::getSliceSkip()</a>, <a class="el" href="OgreCommon_8h-source.html#l00400">Ogre::Box::getWidth()</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::left</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::right</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::top</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:21 2008
</p>
</body>
</html>
